package com.sundot.airport.exam.logic.manage.model.result;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * <b>功能名：</b>TestPaperCatPageResult<br>
 * <b>说明：</b> 试卷分类表分页列表返回参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-18 liangxiao
 */
public class TestPaperCatPageResult {

    /**
     * 业务主键
     */
    private String tpcId;

    /**
     * 分类名称
     */
    private String tpcName;

    /**
     * 逻辑删除（0否1是）
     */
    private Boolean delStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    /**
     * 试卷分类下试卷数
     */
    private Integer testPaperCount;

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

    public String getTpcName() {
        return tpcName;
    }

    public void setTpcName(String tpcName) {
        this.tpcName = tpcName;
    }

    public Boolean getDelStatus() {
        return delStatus;
    }

    public void setDelStatus(Boolean delStatus) {
        this.delStatus = delStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }

    public Integer getTestPaperCount() {
        return testPaperCount;
    }

    public void setTestPaperCount(Integer testPaperCount) {
        this.testPaperCount = testPaperCount;
    }

    @Override
    public String toString() {
        return "TestPaperCatPageResult{" +
                "tpcId='" + tpcId + '\'' +
                ", tpcName='" + tpcName + '\'' +
                ", delStatus=" + delStatus +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                ", testPaperCount=" + testPaperCount +
                '}';
    }
}
